curl --request GET \
--url https://api.fabric.inc/v3/carts/{cartId}/items/{itemId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/carts/{cartId}/items/{itemId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/carts/{cartId}/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"sku": "SKU3",
"refId": "41",
"quantity": 10,
"priceListId": "10001",
"position": 1,
"price": {
"unit": 10,
"amount": 100
},
"fees": {
"total": 5,
"collection": [
{
"id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"name": "Eco Fee",
"price": {
"amount": 12.99
},
"taxable": true,
"attributes": {
"source": "eco"
},
"tax": {
"total": 3,
"collection": [
{
"amount": 3,
"attributes": {
"rate": "5.0",
"type": "COUNTY"
}
}
]
},
"updatedAt": "2024-06-13T16:50:00.682Z",
"createdAt": "2024-06-13T16:50:00.682Z",
"taxDetails": {
"destinationAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8",
"originAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8"
}
}
]
},
"promotions": {
"total": 2,
"collection": [
{
"id": "bb44db95-6fbd-4eed-a1ed-4d99bc91250f",
"amount": 15,
"quantity": 3,
"proration": {
"spread": [
{
"amount": 5,
"quantity": 3
}
]
}
}
]
},
"adjustments": {
"total": 2,
"collection": [
{
"id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"price": {
"amount": 12.99
},
"reason": "Price adjustment from customer representative.",
"attributes": {
"source": "CSR"
},
"updatedAt": "2024-06-13T16:50:00.682Z",
"createdAt": "2024-06-13T16:50:00.682Z"
}
]
},
"fulfillment": {
"id": "6d65755f-b1d9-4c9d-bb5b-118d317f8db4",
"price": {
"amount": 12.99
},
"inventory": {
"type": "backOrder",
"channels": {
"networkCode": "ShipToHome"
}
},
"tax": {
"total": 3,
"collection": [
{
"amount": 3,
"attributes": {
"rate": "5.0",
"type": "COUNTY"
}
}
]
}
},
"attributes": {
"name": "item-custom"
},
"tax": {
"total": 3,
"collection": [
{
"amount": 3,
"attributes": {
"rate": "5.0",
"type": "COUNTY"
}
}
]
},
"taxCode": "10001",
"updatedAt": "2024-06-13T16:50:00.682Z",
"createdAt": "2024-06-13T16:50:00.682Z"
}{
"type": "BAD_REQUEST",
"message": "x-fabric-tenant-id is required"
}{
"type": "CART_NOT_FOUND",
"message": "Cart not found"
}Get item
Returns the item from the cart.
The Cart ID from the Create cart endpoint is used in the path parameter.
The Item ID from the Create item endpoint is used in the path parameter.
Authorizations
This is the authorization token used to authenticate the request. You must pass the access token generated from the system app. For more information, see the Making your first API request section.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"617329dfd5288b0011332311"
Unique request ID for tracking.
"263e731c-45c8-11ed-b878-0242ac120002"
x-fabric-channel-id identifies the sales channel through which the API request is being made; primarily for multichannel use cases. It is a required field. The default US channel is 12 while the default Canada channel is 11.
"12"
Path Parameters
The 24-character system-generated Cart ID. This ID is generated using the Create cart endpoint.
The Item ID generated when the item was created using the Create item endpoint. You can find the ID in the line item collections.
Response
OK
Item Response
The unique identifier of the item that was linked from making Create item endpoint
"a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93"
The Stock Keeping Unit (SKU) associated with the item, used for inventory tracking and management.
"SKU3"
An alternative identifier associated with the item, used for additional tracking or referencing.
"41"
Quantity of item
10
The unique identifier for a price list, used to reference and manage pricing information.
"10001"
Position of the item in the cart..
1
Item price
Show child attributes
Show child attributes
A collection of fees associated with the corresponding cart.
Show child attributes
Show child attributes
Collection of item promotions.
Show child attributes
Show child attributes
A collection of adjustments made to the corresponding cart.
Show child attributes
Show child attributes
Item Fulfillment
Show child attributes
Show child attributes
Custom attributes
Show child attributes
Show child attributes
{ "name": "item-custom" }
A collection of taxes.
Show child attributes
Show child attributes
The code used to identify and apply tax rates for transactions.
"10001"
The date and time the Item was last updated
"2024-06-13T16:50:00.682Z"
The date and time a Item was created
"2024-06-13T16:50:00.682Z"
Was this page helpful?
